"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Create = void 0;
const utils_1 = require("../utils");
function Create(basePath, model, options) {
    const { tags, validationSchema } = options;
    let response = {};
    let body = { type: 'object' };
    if (validationSchema) {
        body = {
            type: 'object',
            properties: {
                ...validationSchema,
            },
        };
        delete body.properties._id;
        response = (0, utils_1.createResponseSchema)(validationSchema, 'object');
    }
    return {
        method: 'POST',
        url: basePath,
        schema: {
            summary: `Create a new ${model.modelName} resource`,
            tags,
            body,
            response,
        },
        handler: async (request, reply) => {
            const resource = await model.create(request.body);
            return reply.send(resource);
        },
    };
}
exports.Create = Create;
//# sourceMappingURL=create.js.map