import { FastifyReply, FastifyRequest } from 'fastify';
import { Model } from 'mongoose';
import { FastifyMongooseRestOptions, FindOptions } from '../types';
export declare function Search<T>(basePath: string, model: Model<T>, options: FastifyMongooseRestOptions): {
    method: 'POST';
    url: string;
    schema: {
        summary: string;
        tags?: string[];
        body: object;
        response: object;
    };
    handler: (request: FastifyRequest<{
        Body: FindOptions;
    }>, reply: FastifyReply) => Promise<any>;
};
